Package org.apache.groovy.contracts.generation

# Class ContractExecutionTracker

java.lang.Object
org.apache.groovy.contracts.generation.ContractExecutionTracker

public class ContractExecutionTracker extends Object
Keeps track of contract executions to avoid cyclic contract checks.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ContractExecutionTracker.ContractExecution`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractExecutionTracker()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `clear(String className, String methodIdentifier, String assertionType, boolean isStatic)`
  `static boolean`
  `track(String className, String methodIdentifier, String assertionType, boolean isStatic)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractExecutionTracker

    public ContractExecutionTracker()

- ## Method Details

  - ### track

    public static boolean track(String className, String methodIdentifier, String assertionType, boolean isStatic)

  - ### clear

    public static void clear(String className, String methodIdentifier, String assertionType, boolean isStatic)